Request
curl https://sandbox.api.lendeasy.ai /v1/servicing/case-types/$CASE_TYPE_CODE/workflow \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT" await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/case-types/${caseTypeCode}/workflow` , {
method: "GET" ,
headers: { Authorization: `Bearer ${token}` , "LendEasy-Tenant" : tenant },
});requests.get(
f"https://sandbox.api.lendeasy.ai /v1/servicing/case-types/{case_type_code}/workflow" ,
headers={"Authorization" : f"Bearer {token}" , "LendEasy-Tenant" : tenant},
)200 400 401 403 404
{
"caseTypeCode": "COLLECTIONS",
"workflowKey": "COLLECTIONS_DEFAULT",
"version": 2 ,
"stages": [
{
"stageKey": "MONITORING",
"displayName": "Monitor the promise",
"terminal": false ,
"requiredFacts": [
"promiseToPayState"
],
"taskTemplates": [
{
"taskTypeCode": "COLLECTIONS_OUTREACH",
"displayName": "Collections outreach",
"queueCode": "COLLECTIONS",
"conditional": false
}
],
"next": [
{
"stage": "CLOSE",
"isDefault": false ,
"dependsOn": [
"promiseToPayState"
]
},
{
"stage": "MONITORING",
"isDefault": true
}
]
}
]
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}